## org.eclipse.datatools.connectivity.sqm.core.rte
Interface ICatalogObject

All Known Implementing Classes:
  JDBCCatalog, JDBCColumn, JDBCDatabase, JDBCDistinctUDT, JDBCForeignKey, JDBCIndex, JDBCParameter, JDBCPrimaryKey, JDBCProcedure, JDBCSchema, JDBCStructuredUDT, JDBCTable, JDBCTemporaryTable, JDBCUniqueConstraint, JDBCUserDefinedFunction, JDBCView

public interface ICatalogObject

Method Summary
`Database` `getCatalogDatabase()`
`java.sql.Connection` `getConnection()`
`void` `refresh()`

Method Detail

### refresh

    public void refresh()

### getConnection

    public java.sql.Connection getConnection()

### getCatalogDatabase

    public Database getCatalogDatabase()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.